Package org.opentcs.access.to.order

# Class OrderSequenceCreationTO

java.lang.Object
org.opentcs.access.to.CreationTO
org.opentcs.access.to.order.OrderSequenceCreationTO

All Implemented Interfaces:
  `java.io.Serializable`

    public class OrderSequenceCreationTO
    extends CreationTO
    implements java.io.Serializable

A transfer object describing a transport order.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `OrderSequenceCreationTO​(java.lang.String name)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getIntendedVehicleName()` | Returns the (optional) name of the vehicle that is supposed to execute the transport order.
  `java.lang.String` | `getType()` | Returns the (optional) type of the order sequence.
  `boolean` | `hasIncompleteName()` | Indicates whether the name is incomplete and requires to be completed when creating the actual order sequence.
  `boolean` | `isFailureFatal()` | Returns whether failure of one transport order in the sequence makes subsequent ones fail, too.
  `OrderSequenceCreationTO` | `withFailureFatal​(boolean failureFatal)` |
  `OrderSequenceCreationTO` | `withIncompleteName​(boolean incompleteName)` | Creates a copy of this object with the given nameIncomplete flag.
  `OrderSequenceCreationTO` | `withIntendedVehicleName​(java.lang.String intendedVehicleName)` | Creates a copy of this object with the given (optional) name of the vehicle that is supposed to execute the transport order.
  `OrderSequenceCreationTO` | `withName​(java.lang.String name)` | Creates a copy of this object with the given name.
  `OrderSequenceCreationTO` | `withProperties​(java.util.Map<java.lang.String,​java.lang.String> properties)` | Creates a copy of this object with the given properties.
  `OrderSequenceCreationTO` | `withProperty​(java.lang.String key, java.lang.String value)` | Creates a copy of this object and adds the given property.
  `OrderSequenceCreationTO` | `withType​(java.lang.String type)` | Creates a copy of this object with the given type.

  ### Methods inherited from class org.opentcs.access.to.CreationTO

  `getModifiableProperties, getName, getProperties, listWithAppendix, mapWithMapping, propertiesWith`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OrderSequenceCreationTO

    public OrderSequenceCreationTO​(@Nonnull java.lang.String name)
    Creates a new instance.
    Parameters:
      `name` - The name of this transport order.

- ## Method Details

  - ### withName

    public OrderSequenceCreationTO withName​(@Nonnull java.lang.String name)
    Creates a copy of this object with the given name.
    Overrides:
      `withName` in class `CreationTO`
    Parameters:
      `name` - the new name of the instance.
    Returns:
      A copy of this object, differing in the given name.

  - ### withProperties

    public OrderSequenceCreationTO withProperties​(@Nonnull java.util.Map<java.lang.String,​java.lang.String> properties)
    Creates a copy of this object with the given properties.
    Overrides:
      `withProperties` in class `CreationTO`
    Parameters:
      `properties` - The new properties.
    Returns:
      A copy of this object, differing in the given value.

  - ### withProperty

    public OrderSequenceCreationTO withProperty​(@Nonnull java.lang.String key, @Nonnull java.lang.String value)
    Creates a copy of this object and adds the given property. If value == null, then the key-value pair is removed from the properties.
    Overrides:
      `withProperty` in class `CreationTO`
    Parameters:
      `key` - the key.
      `value` - the value
    Returns:
      A copy of this object that either includes the given entry in it's current properties, if value != null or excludes the entry otherwise.

  - ### hasIncompleteName

    public boolean hasIncompleteName()
    Indicates whether the name is incomplete and requires to be completed when creating the actual order sequence. (How exactly this is done is decided by the kernel.)
    Returns:
      `true` if, and only if, the name is incomplete and requires to be completed by the kernel.

  - ### withIncompleteName

    public OrderSequenceCreationTO withIncompleteName​(boolean incompleteName)
    Creates a copy of this object with the given nameIncomplete flag.
    Parameters:
      `incompleteName` - Whether the name is incomplete and requires to be completed when creating the actual order sequence.
    Returns:
      A copy of this object, differing in the given value.

  - ### getType

    @Nonnull public java.lang.String getType()
    Returns the (optional) type of the order sequence.
    Returns:
      The (optional) type of the order sequence.

  - ### withType

    public OrderSequenceCreationTO withType​(@Nonnull java.lang.String type)
    Creates a copy of this object with the given type.
    Parameters:
      `type` - The type.
    Returns:
      A copy of this object, differing in the given type.

  - ### getIntendedVehicleName

    @Nullable public java.lang.String getIntendedVehicleName()
    Returns the (optional) name of the vehicle that is supposed to execute the transport order.
    Returns:
      The (optional) name of the vehicle that is supposed to execute the transport order.

  - ### withIntendedVehicleName

    public OrderSequenceCreationTO withIntendedVehicleName​(@Nullable java.lang.String intendedVehicleName)
    Creates a copy of this object with the given (optional) name of the vehicle that is supposed to execute the transport order.
    Parameters:
      `intendedVehicleName` - The vehicle name.
    Returns:
      A copy of this object, differing in the given name of the intended vehicle.

  - ### isFailureFatal

    public boolean isFailureFatal()
    Returns whether failure of one transport order in the sequence makes subsequent ones fail, too.
    Returns:
      Whether failure of one transport order in the sequence makes subsequent ones fail, too.

  - ### withFailureFatal

    public OrderSequenceCreationTO withFailureFatal​(boolean failureFatal)